﻿using System.Collections.Generic;

namespace HeuristicLab.SimulationCore {
  public interface IDiscreteEventSimulation<TModel> : ISimulation where TModel : class, IModel {
    IAction<TModel> InitialAction { get; }
    IEnumerable<IActivity<TModel>> Activities { get; }
    IEnumerable<IReporter<TModel>> Reporters { get; }
    TModel Model { get; }
  }
}
